#A basic clone of Seth's "SmartCropper" for alpha PNGs from 3d studio max, no sprite sheets - CC0
# WARNING - Will overwrite your existing images and assumes they're all of the same size
# TODO: Add padding
from PIL import Image
from sys import argv
from pathlib import Path


if len(argv) < 2:
    print("Supply a file path on the command line containing your alpha PNGs\n")
else:
    path = Path(argv[1])
    bounds = []
    for i in path.rglob("*.png"):
        print(i)
        with Image.open(i) as im:
            bounds.append(im.getbbox())
    
    maxbounds = []
    for j in range(4):
        if j < 2:
            maxbounds.append(min([x[j] for x in bounds]))
        else:
            maxbounds.append(max([x[j] for x in bounds]))

    print(maxbounds)
    for i in path.rglob("*.png"):
        with Image.open(i) as im:
            crop = im.crop(tuple(maxbounds))
            #if argv[3]:
            crop.save(i, "PNG")